> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update run

> Update run metadata.



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/2.0/mlflow/runs/update
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/runs/update:
    post:
      tags:
        - MLflow experiments and runs
      description: Update run metadata.
      operationId: runs.Update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/mlflow-proxy_UpdateRunRequest'
      responses:
        '200':
          description: Run updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_UpdateRunResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_UpdateRunRequest:
      properties:
        end_time:
          description: Unix timestamp in milliseconds of when the run ended.
          oneOf:
            - format: int64
              type: integer
            - type: string
        run_id:
          description: ID of the run to update. Must be provided.
          type: string
        run_name:
          description: Updated name of the run.
          type: string
        status:
          description: Updated status of the run.
          enum:
            - RUNNING
            - SCHEDULED
            - FINISHED
            - FAILED
            - KILLED
          type: string
      required:
        - run_id
      type: object
    mlflow-proxy_UpdateRunResponse:
      properties:
        run_info:
          $ref: '#/components/schemas/mlflow-proxy_RunInfo'
      required:
        - run_info
      type: object
    mlflow-proxy_RunInfo:
      properties:
        artifact_uri:
          description: >-
            URI of the directory where artifacts should be uploaded.

            This can be a local path (starting with "/"), or a distributed file
            system (DFS)

            path, like ``s3://bucket/directory`` or ``dbfs:/my/directory``.

            If not set, the local ``./mlruns`` directory is  chosen.
          type: string
        end_time:
          description: Unix timestamp of when the run ended in milliseconds.
          type: integer
          format: int64
        experiment_id:
          description: The experiment ID.
          type: string
        lifecycle_stage:
          description: >-
            Current life cycle stage of the experiment : OneOf("active",
            "deleted")
          type: string
        run_id:
          description: Unique identifier for the run.
          type: string
        run_name:
          description: Name for the run.
          type: string
        start_time:
          description: Unix timestamp of when the run started in milliseconds.
          type: integer
          format: int64
        status:
          description: Current status of the run.
          enum:
            - RUNNING
            - SCHEDULED
            - FINISHED
            - FAILED
            - KILLED
          type: string
        user_id:
          description: >-
            User who initiated the run.

            This field is deprecated as of MLflow 1.0, and will be removed in a
            future

            MLflow release. Use 'mlflow.user' tag instead.
          type: string
      required:
        - artifact_uri
        - experiment_id
        - run_name
        - user_id
        - lifecycle_stage
        - run_id
        - start_time
        - status
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Update experiment](/api-reference/mlflow-experiments-and-runs/post-api20mlflowexperimentsupdate.md)
- [Update the ConfigMap](/cloud/admin/security-and-compliance/custom-certificates/update-configmap.md)
- [Update model version](/api-reference/mlflow-models/patch-api20mlflowmodel-versionsupdate.md)
- [Update registered model](/api-reference/mlflow-models/patch-api20mlflowregistered-modelsupdate.md)
